> ## Documentation Index
> Fetch the complete documentation index at: https://tokenterminal.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get details for a specific product of a project

> Use this endpoint to retrieve detailed information about a specific product within a project.




## OpenAPI

````yaml /api-reference/openapi.json get /v2/projects/{project_id}/products/{product_id}
openapi: 3.0.0
info:
  title: Token Terminal API
  termsOfService: https://tokenterminal.com/terms
  version: 2.0.0
servers:
  - url: https://api.tokenterminal.com
security:
  - bearerAuth: []
tags: []
paths:
  /v2/projects/{project_id}/products/{product_id}:
    get:
      tags:
        - Projects
      summary: Get details for a specific product of a project
      description: >
        Use this endpoint to retrieve detailed information about a specific
        product within a project.
      parameters:
        - name: project_id
          in: path
          description: ID of the project
          required: true
          schema:
            type: string
        - name: product_id
          in: path
          description: ID of the product
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      name:
                        type: string
                        description: Name of the product
                      product_id:
                        type: string
                        description: Unique identifier for the product
                      project_id:
                        type: string
                        description: Identifier for the parent project
                      symbol:
                        type: string
                        description: Symbol for the product
                      market_sectors:
                        type: object
                        description: Market sectors the product belongs to
                      chains:
                        type: array
                        description: Chains the product operates on
                        items:
                          type: string
                      aggregate_by_options:
                        type: object
                        description: Available options for aggregating data
                      metric_availability:
                        type: object
                        description: Available metrics for the product
                      metric_definitions:
                        type: array
                        description: Definitions for available metrics
                        items:
                          type: object
                      metric_sources:
                        type: array
                        description: Sources for available metrics
                        items:
                          type: object
        '400':
          description: Invalid input
        '404':
          description: Product not found
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: string

````